﻿@model Iglo.World.ViewModels.ApHeaderViewModel
@using Kendo.Mvc.UI
    <script>
        function filterData() {
            return {
                invoiceNumber: $("#InvoiceNum").val()
            };
        }
        function gridDataBoundBefore(e) {
            var grid = $("#gridDetail").data("kendoGrid");
            var gridData = grid.dataSource.view();
            gridDataBound(e);
        }
    </script>
@using (Html.BeginForm(null, null, FormMethod.Post, new { id = "addEditForm", name = "addEditForm" }))
{
    <div class="form-horizontal">
        <div class="form-group row">
            <div class="col-md-2">
                @Html.LabelFor(m => m.InvoiceNum)
            </div>
            <span class="required-field"><i class="fa fa-asterisk"></i></span>
            <div class="col-md-8">
                @(Html.Kendo().TextBoxFor(m => m.InvoiceNum).HtmlAttributes(new { @class = "form-control", @maxlength = 50, @readonly="readonly" }))
            </div>
        </div>
    </div>
    <div class="form-group row">
        <div class="col-md-2">
            @Html.LabelFor(m => m.InvoiceDate)
        </div>
        <span class="required-field"><i class="fa fa-asterisk"></i></span>
        <div class="col-md-8">
            @(Html.Kendo().DatePickerFor(m=>m.InvoiceDate)
                      .HtmlAttributes(new { style = "width: 100%" })
                )
        </div>
    </div>
    <div class="form-group row">
        <div class="col-md-2">
            @Html.LabelFor(m => m.HeaderDescription)
        </div>
        <span class="required-field"><i class="fa fa-asterisk"></i></span>
        <div class="col-md-8">
            @(Html.Kendo().TextBoxFor(m => m.HeaderDescription).HtmlAttributes(new { @class = "form-control", @maxlength = 30 }))
        </div>
    </div>
    <div class="form-group row">
        <div class="col-md-2">
            @Html.LabelFor(m => m.VendorId)
        </div>
        <span class="required-field"><i class="fa fa-asterisk"></i></span>
        <div class="col-md-8">
            @(Html.Kendo().TextBoxFor(m => m.VendorId).HtmlAttributes(new { @class = "form-control", @maxlength = 50 }))
        </div>
    </div>
    <div class="form-group row">
        <div class="col-md-2">
            @Html.LabelFor(m => m.CurrencyId)
        </div>
        <span class="required-field"><i class="fa fa-asterisk"></i></span>
        <div class="col-md-8">
            @(Html.Kendo().TextBoxFor(m => m.CurrencyId).HtmlAttributes(new { @class = "form-control", @maxlength = 4 }))
        </div>
    </div>
    <div class="form-group row">
        <div class="col-md-2">
            @Html.LabelFor(m => m.TermsId)
        </div>
        <span class="required-field"><i class="fa fa-asterisk"></i></span>
        <div class="col-md-8">
            @(Html.Kendo().TextBoxFor(m => m.TermsId).HtmlAttributes(new { @class = "form-control", @maxlength = 4 }))
        </div>
    </div>
    <div class="row">
        <div class="grid-add-btn" style="margin:1rem 0">
            <a href="javascript:;" class="btn btn-primary" id="btnAddNewDetail"><i class="fa fa-plus"></i> Add New</a>
        </div>
        @(Html.Kendo().Grid(Model.Apdetail).Name("gridDetail").Columns(columns =>
    {
        columns.Bound(m => m.PartNum).Title("Part ID");
        columns.Bound(m => m.PartDescriptions).Title("Line Description");
        columns.Bound(m => m.Qty).Title("Qty");
        columns.Bound(m => m.Uom).Title("UOM");
        columns.Bound(m => m.Cost).Title("Unit Price");
        columns.Bound(m => m.TotalCost).Title("Total Price");
        //columns.Bound("").ClientTemplate("<a data-id='#=#' href='javascript:;' class='act-btn deleteRow'>Delete</a>").Width(150).Title("").Filterable(false);
    })
                        .HtmlAttributes(new { style = "height : 450px;" })
                        .Scrollable()
                        .Sortable()
                        .Filterable()
                        .Pageable(pageable => pageable
                            .Refresh(true)
                            .PageSizes(true)
                            .ButtonCount(5))
                        .DataSource(dataSource => dataSource
                            .Ajax()
                            .Read(read => read.Action("ListDetail", "AP").Data("filterData"))
                            .PageSize(20)
                        )
                )
    </div>
    <div class="modal-footer">
        <div class="btn-wrapper">
            <button class="btn btn-primary" type="submit" id="btnSave" name="btnSave">SAVE</button>
            <button class="btn btn-warning" type="button" id="btnClose" name="btnClose">CLOSE</button>
        </div>
    </div>
}
<script>
    $(function () {
        $("#btnClose").click(popup.closeClick);
        $("#btnSave").click(function (e) {
            popup.saveClick(e);
            swal("Data has been saved", "Click ok to proceed!", "success");
            popup.closeClick(e);
        });
        $('#btnAddNewDetail').click(function (e) {
            popup.saveClick(e);
            popup.createDetailNewUrl = "@Url.Action("CreateDetail")" + "?invoiceNumber=" + $("#InvoiceNum").val();
            popup.createDetailNewClick(e);
        });
        onInit();
        function onInit() {
            $.get("ap/GetInvoiceNumber", function (data, status) {
                $("#InvoiceNum").val(data.Data);
            });
        }
    });
</script>